Bug 1251877 - [abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
[abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c2aa0a0f3c7468df17ee6def2c6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 04:20 EDT by info@kobaltwit.be
Modified: 2015-08-19 04:11 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-4.1.5-100.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-19 04:03:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (66.20 KB, text/plain)
2015-08-10 04:20 EDT, info@kobaltwit.be
no flags Details

  None (edit)
Description info@kobaltwit.be 2015-08-10 04:20:44 EDT
Description of problem:
I am not sure what happened yet. I have noticed that since my upgrade to Fedora 22, I frequently experience complete lock-ups. There is not response from mouse or keyboard any more. Music that was playing loops over the last half a second or so. My only option to recover is a hard reboot.

In the backtrace I see there is mention of hid_disconnect. Perhaps the issue is triggered by my bluetooth Apple Trackpad. I have had several occasions the lock-up happened while using it (for scrolling, two-finger-clicks,...). It's not always happening though. I haven't found a way to consistently repeat it.

Additional info:
reporter:       libreport-2.6.2
BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<ffffffff81640a5e>] hidinput_disconnect+0x2e/0xb0
PGD 367c3067 PUD c15df067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: hidp rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep ppdev kvm_amd kvm snd_usb_audio snd_hda_codec_hdmi gspca_zc3xx btusb gspca_main btbcm btintel bluetooth videodev snd_usbmidi_lib joydev media snd_hda_codec_realtek snd_hda_codec_generic snd_rawmidi snd_hda_intel
 snd_hda_controller snd_hda_codec rfkill snd_hda_core snd_hwdep snd_seq edac_core edac_mce_amd k10temp snd_seq_device snd_pcm sp5100_tco i2c_piix4 snd_timer snd parport_pc soundcore parport shpchp acpi_cpufreq binfmt_misc ata_generic pata_acpi uas usb_storage hid_plantronics nouveau firewire_ohci firewire_core video mxm_wmi i2c_algo_bit drm_kms_helper serio_raw 8021q sata_sil crc_itu_t garp stp ttm llc pata_atiixp mrp r8169 drm mii wmi
CPU: 1 PID: 666 Comm: kworker/u13:0 Not tainted 4.1.3-201.fc22.x86_64 #1
Hardware name: MICRO-STAR INTERNATIONAL CO.,LTD MS-7376/K9A2 Platinum (MS-7376), BIOS V1.B0 06/21/2010
Workqueue: hci0 hci_rx_work [bluetooth]
task: ffff8801ae3f13c0 ti: ffff8801ae67c000 task.ti: ffff8801ae67c000
RIP: 0010:[<ffffffff81640a5e>]  [<ffffffff81640a5e>] hidinput_disconnect+0x2e/0xb0
RSP: 0018:ffff8801ae67fa98  EFLAGS: 00010292
RAX: 0000000000000000 RBX: ffff88019125c000 RCX: 0000000100800015
RDX: 0000000100800016 RSI: ffffea0006bbd440 RDI: 0000000040000000
RBP: ffff8801ae67fab8 R08: 00000000aef51e01 R09: 0000000100800015
R10: ffff8801aef51e80 R11: 0000000000000000 R12: ffff88019125d8e8
R13: ffff88019125c000 R14: ffff88019125c000 R15: ffff88019125d8d0
FS:  00007f8937f179c0(0000) GS:ffff8801b7c40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 00000001ac1a4000 CR4: 00000000000007e0
Stack:
 ffff88019125c000 ffff88019125d8e8 ffff88019125c000 ffff88019125d8b8
 ffff8801ae67fad8 ffffffff8163d750 00000000fffffffc ffff88019125d8e8
 ffff8801ae67fb18 ffffffff8163d825 ffff8801ae67fb18 ffff88019125d8e8
Call Trace:
 [<ffffffff8163d750>] hid_disconnect+0x80/0x90
 [<ffffffff8163d825>] hid_device_remove+0xc5/0xe0
 [<ffffffff814ec167>] __device_release_driver+0x87/0x120
 [<ffffffff814ec223>] device_release_driver+0x23/0x30
 [<ffffffff814eba98>] bus_remove_device+0x108/0x180
 [<ffffffff814e7c21>] device_del+0x141/0x270
 [<ffffffff8163d8c7>] hid_destroy_device+0x27/0x60
 [<ffffffffa06f2b0b>] hidp_session_remove+0x4b/0xb0 [hidp]
 [<ffffffffa04a2ee0>] l2cap_conn_del+0xb0/0x240 [bluetooth]
 [<ffffffffa04a30b1>] l2cap_disconn_cfm+0x41/0x70 [bluetooth]
 [<ffffffffa048a91d>] hci_event_packet+0x20dd/0x32f0 [bluetooth]
 [<ffffffff810d5c9f>] ? account_entity_dequeue+0xaf/0xd0
 [<ffffffff810d9c01>] ? dequeue_entity+0x31/0x640
 [<ffffffffa0477c48>] hci_rx_work+0x1c8/0x410 [bluetooth]
 [<ffffffff810db92c>] ? put_prev_task_fair+0x2c/0x40
 [<ffffffff810baa6b>] process_one_work+0x1bb/0x410
 [<ffffffff810bad13>] worker_thread+0x53/0x480
 [<ffffffff810bacc0>] ? process_one_work+0x410/0x410
 [<ffffffff810c0b88>] kthread+0xd8/0xf0
 [<ffffffff810c0ab0>] ? kthread_worker_fn+0x180/0x180
 [<ffffffff817a1e62>] ret_from_fork+0x42/0x70
 [<ffffffff810c0ab0>] ? kthread_worker_fn+0x180/0x180
Code: 66 90 55 48 89 e5 41 56 49 89 fe 41 55 41 54 53 48 8b bf b0 1b 00 00 48 85 ff 74 31 e8 8c 1a fb ff 49 8b 86 b0 1b 00 00 48 8b 00 <48> 8b 38 e8 fa ad bc ff 49 8b 86 b0 1b 00 00 48 8b 38 e8 eb ad 
RIP  [<ffffffff81640a5e>] hidinput_disconnect+0x2e/0xb0
 RSP <ffff8801ae67fa98>
Comment 1 info@kobaltwit.be 2015-08-10 04:20:49 EDT
Created attachment 1060963 [details]
File: dmesg
Comment 2 Fedora Update System 2015-08-11 20:20:59 EDT
kernel-4.1.5-100.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-4.1.5-100.fc21
Comment 3 Fedora Update System 2015-08-11 20:22:57 EDT
kernel-4.1.5-200.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kernel-4.1.5-200.fc22
Comment 4 Fedora Update System 2015-08-13 12:54:11 EDT
Package kernel-4.1.5-100.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-4.1.5-100.fc21'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13391/kernel-4.1.5-100.fc21
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-08-19 04:03:56 EDT
kernel-4.1.5-200.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-08-19 04:11:52 EDT
kernel-4.1.5-100.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.